<template>
	<!-- xxxxxxxxxxxxxxx S-MU-05 - VIDEO xxxxxxxxxxxxxxxxxxx -->
	<div>
		<div class="col-md-12">
			<h1>{{ value.title }}</h1>
		</div>
		<div class="col-md-12 ">
			<div class=" embed-responsive embed-responsive-16by9" v-if="!value.video">
				 <img src="/images/videoplaceholder.png">
			</div>
			<div id="videoRep" class=" embed-responsive embed-responsive-16by9" v-else>
				 <youtube :video-id="`${value.video}`" @ended="end" :player-vars="vars"></youtube>
			</div>
		</div>
	</div> 
</template>

<script>	
	import { config } 		from './config'
	import { mapActions } 	from 'vuex'
	import ResultTypes from '../../../../utils/ResultTypes'

	export default{
		data(){
			return {
				vars : {autoplay: 1, showinfo: 0, autohide: 0, frameborder: 0, color: 'white', modestbranding: 0, rel : 0}
			}
		},
		name 	: config.component,
		props 	: config.props,
		methods : {
			end(){
				this.evaluate(ResultTypes.PASSED)
			},
	  		...mapActions([
		      'evaluate',
			]),
		},
		mounted(){
			if(!this.value.video){
				console.log('No hay video cargado, evaluando por defecto.')
				setTimeout( ()=>{
					this.evaluate(ResultTypes.PASSED)
				}, 5000)
			}
		},
		updated(){
			if(!this.value.video){
				console.log('No hay video cargado, evaluando por defecto.')
				setTimeout( ()=>{
					this.evaluate(ResultTypes.PASSED)
				}, 5000)
			}
		}
	}
</script>